declare type CompressionFormat = 'gzip' | 'deflate' | 'deflate-raw';
declare interface CompressionStream extends TransformStream<Uint8Array, Uint8Array> {
}
declare interface CompressionStreamConstructor {
    prototype: CompressionStream;
    new (format: CompressionFormat): CompressionStream;
}
declare interface DecompressionStream extends TransformStream<Uint8Array, Uint8Array> {
}
declare interface DecompressionStreamConstructor {
    prototype: DecompressionStream;
    new (format: CompressionFormat): DecompressionStream;
}


declare var CompressionStream: CompressionStreamConstructor;
declare var DecompressionStream: DecompressionStreamConstructor;
